Package com.pixelmed.anatproc

# Class Concept

java.lang.Object
com.pixelmed.anatproc.Concept

Direct Known Subclasses:
  `CodedConcept`

public class Concept extends Object

This class represents a concept that is uniquely identifiable.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`conceptUniqueIdentifier`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Concept()`
``
`Concept(String conceptUniqueIdentifier)`
Create a concept.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`String`
`getConceptUniqueIdentifier()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### conceptUniqueIdentifier

protected String conceptUniqueIdentifier

## Constructor Details

### Concept

public Concept(String conceptUniqueIdentifier)

Create a concept.

Parameters:
  `conceptUniqueIdentifier` - the unique identifier of the concept, usually a UMLS CUI; required to be unique within the scope of comparisons using `equals(Object)`

### Concept

protected Concept()

## Method Details

### getConceptUniqueIdentifier

public String getConceptUniqueIdentifier()

### equals

public boolean equals(Object o)

Indicates whether some other object is "equal to" this one.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - the reference object with which to compare.
Returns:
  true if the same object or different objects with equal values of conceptUniqueIdentifier

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`